import { Box, Typography } from "@mui/material";
import Image from "next/image";
import { FC } from "react";

interface HeaderLogoProps {
  sx?: any;
}

export const HeaderLogo: FC<HeaderLogoProps> = ({ sx }) => {
  return (
    <Box
      alignItems="center"
      display="flex"
      sx={sx}
    >
      <Image
        alt="Logo"
        height={40}
        priority
        src="images/logo.webp"
        width={40}
      />
      <Typography
        sx={{
          ml: 1.5,
        }}
        variant="h6"
      >
        <b>CSPJ Application</b>
      </Typography>
    </Box>
  );
};
